package com.heytap.push.demo.component.service;

import android.content.Context;

import com.heytap.msp.push.mode.DataMessage;
import com.heytap.msp.push.service.DataMessageCallbackService;
import com.heytap.push.demo.component.ConfigManager;
import com.heytap.push.demo.util.NotificationUtil;
import com.heytap.push.demo.util.TestModeUtil;

/**
 *  接收应用注册信息
 * */
public class AppPushMessageService extends DataMessageCallbackService {

    /**
     *  如果业务仅仅是获取Opush RegisterID则不需要添加逻辑，直接按照
     *  super.processMessage(context.getApplicationContext(), message)
     *  即可
     *
     * @param context
     * @param message
     */
    @Override
    public void processMessage(Context context, DataMessage message) {
        super.processMessage(context, message);
        TestModeUtil.addLogString(PushMessageService.class.getSimpleName(), "Receive SptDataMessage:" + message.toString());
        NotificationUtil.showNotification(context,message.getTitle(),message.getContent(), message.getNotifyID(), ConfigManager.getInstant().isRedBadge());
    }

}
